Users
Update user phone
PUT
https://api.firstleeward.com/v0/users/:id/phoneUpdates the phone number for a user. Phone number must be in E.164 format and unique within the project.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredBody
application/json
phoneNumberstringrequiredPhone number in E.164 format (e.g., +14155552671)
Response
204Response for status 204
400Response for status 400
Option 1 · PhoneNumberAlreadyExistsError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 2 · InvalidPhoneNumberError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequiredOption 3 · UserPhoneCountryRestrictedError
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired404User not found
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired